Distribution:	CCux
Packager:  	Christian Metzen <metzench@ccux-linux.de>

Name:           gnome-sharp
Version:        2.16.0
Release:        3
Summary:        GTK+ and GNOME bindings for Mono

Group:          System/Libraries
License:        LGPL
URL:            ftp://ftp.gnome.org/pub/gnome/sources/gnome-sharp/2.16/
Source0:        ftp://ftp.gnome.org/pub/gnome/sources/gnome-sharp/2.16/gnome-sharp-%{version}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

Patch1: 	gnome-sharp-2.15.0-libdir.patch
Patch2:		%{name}-2.16.0-automake-1.10.patch
Patch3: 	%{name}-2.16.0-gtkhtml3-3.14.patch

BuildRequires:  mono-core-devel gtk2+-devel libart_lgpl-devel gnome-vfs-devel libgnomecanvas-devel libgnomeui-devel
BuildRequires:  gtk-sharp-devel
BuildRequires:  gtk-sharp-gapi
BuildRequires:  librsvg-devel libgtkhtml3-devel vte-devel gnome-panel-devel
BuildRequires:  libgnomeprintui-devel
BuildRequires:  automake, libtool

%description
This package provides a library that allows you to build
fully native graphical GNOME applications using Mono. gnome-sharp
extends gtk-sharp2 and adds bindings for gconf, libgnome, gnome-vfs,
libart, gtkhtml, librsvg, and vte.

%package devel
Summary: 	files needed for developing with gnome-sharp
Group: 		Development/Libraries
Requires: 	%{name} = %{version}-%{release}
Requires: 	pkgconfig

%description devel
This package provides the necessary development libraries and headers
for writing gnome-sharp2 applications.

%prep
%setup -n gnome-sharp-%{version}
%patch1 -p1 -b .libdir
%patch2 -p1 -b .automake-1.10
%patch3 -p1 -b .gtkhtml3-3.14

%build
autoreconf --force --install

export MONO_SHARED_DIR=%{_builddir}/%{?buildsubdir}
%configure
make

%install
%{__rm} -rf $RPM_BUILD_ROOT
export MONO_SHARED_DIR=%{_builddir}/%{?buildsubdir}
make install DESTDIR=$RPM_BUILD_ROOT GACUTIL_FLAGS="/package gtk-sharp-2.0 /gacdir %{_libdir} /root ${RPM_BUILD_ROOT}%{_libdir}"
%{__rm} $RPM_BUILD_ROOT%{_libdir}/*.*a

%clean
%{__rm} -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(-,root,root,-)
%doc COPYING ChangeLog README
%{_bindir}/gconfsharp2-schemagen
%{_libdir}/gtk-sharp-2.0/gconfsharp-schemagen.exe
%{_libdir}/*.so
%{_libdir}/mono/gac
%{_libdir}/mono/gtk-sharp-2.0/*.dll
%{_datadir}/gapi-2.0/*

%files devel
%defattr(-,root,root,-)
%{_libdir}/pkgconfig/*-sharp-2.0.pc

%changelog
* Sun Dec 02 2007 Christian Metzen <metzench@ccux-linux.de> 2.16.0-3
- added libgtkhtml3 patch
* Sun Dec 02 2007 Christian Metzen <metzench@ccux-linux.de> 2.16.0-2
- rebuild against mono 1.2.5.2
* Tue Apr 03 2007 Christian Metzen <metzench@ccux-linux.de> 2.16.0-1
- Initial release
